Bug 296161 - Review Request: ical - An X Window System-based calendar program
Review Request: ical - An X Window System-based calendar program
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-09-19 08:25 EDT by Richard W.M. Jones
Modified: 2008-02-05 09:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 09:34:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-09-19 08:25:01 EDT
Spec URL: http://www.annexia.org/tmp/ical.spec
SRPM URL: http://www.annexia.org/tmp/ical-2.3.3-2.src.rpm
Description:
Ical is an X Window System based calendar program. Ical will
create/edit/delete entries, create repeating entries, remind you about
upcoming appointments, print and list item occurrences, and allow
shared calendars between different users.

For more information about the ical maintenance project, see:
http://www.annexia.org/ical
Comment 1 Mamoru TASAKA 2007-10-13 12:04:43 EDT
Well, for general packaging issues, please refer to
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Some random comments for 2.3.3-2:

* Please write the full URL of Source1. Otherwise
  write as a comment where you found Source1.

* Please follow the buildroot tag required for Fedora.

* Please check the license. COPYING.GNU is GPL+.

* Use macros correctly. /usr/share must be %_datadir, for
  example.

* stripping binaries by yourself is forbidden because
  this makes debuginfo rpm useless.

* Please choose whether you choose macros or native commands
  For example, while you use %__install, you also use
  perk (can be %__perl), make (can be %__make) and so on.

* Please avoid %makeinstall if possible
  - For this package, adding 'INSTALL="install" -p' option
    to "make install" is preferable because this keeps timestamps
    on almost all instaled files.

* When you use "install" or "cp" command, use "-p" option to
  keep timestamps.

* Desktop files must be installed by "desktop-file-install"
  (BR: desktop-file-utils is needed)
  - Category "Application" is deprecated and should be removed.
Comment 2 Mamoru TASAKA 2007-10-20 07:59:04 EDT
ping?
Comment 3 Mamoru TASAKA 2007-10-28 08:33:27 EDT
ping again?
Comment 4 Richard W.M. Jones 2007-10-29 08:14:27 EDT
Hi, thanks for your original review -- it caught me on holiday and I'm still
catching up.
Comment 5 Mamoru TASAKA 2007-12-19 09:28:45 EST
ping again?
Comment 6 Mamoru TASAKA 2008-01-17 09:33:34 EST
Again ping?
Comment 7 Mamoru TASAKA 2008-01-23 09:56:02 EST
I will close this bug as NOTABUG is no response is gained from the
reporter within ONE WEEK.
Comment 8 Mamoru TASAKA 2008-02-05 09:34:25 EST
Once CLOSING.

If someone wants to import this package into Fedora, please file
a new review request and mark this bug as a duplicate of the new one.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.